org.apache.hadoop.yarn.server.federation.store.records.impl.pb

## Class GetSubClusterPolicyConfigurationRequestPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.server.federation.store.records.GetSubClusterPolicyConfigurationRequest
  - - org.apache.hadoop.yarn.server.federation.store.records.impl.pb.GetSubClusterPolicyConfigurationRequestPBImpl

-     @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class GetSubClusterPolicyConfigurationRequestPBImpl
      extends GetSubClusterPolicyConfigurationRequest

  Protocol buffer based implementation of `GetSubClusterPolicyConfigurationRequest`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetSubClusterPolicyConfigurationRequestPBImpl()`
    `GetSubClusterPolicyConfigurationRequestPBImpl(org.apache.hadoop.yarn.federation.proto.YarnServerFederationProtos.GetSubClusterPolicyConfigurationRequestProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `org.apache.hadoop.yarn.federation.proto.YarnServerFederationProtos.GetSubClusterPolicyConfigurationRequestProto` | `getProto()`
    `String` | `getQueue()` Get the name of the queue for which we are requesting a policy configuration.
    `int` | `hashCode()`
    `void` | `setQueue(String queueName)` Sets the name of the queue for which we are requesting a policy configuration.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.yarn.server.federation.store.records.GetSubClusterPolicyConfigurationRequest

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GetSubClusterPolicyConfigurationRequestPBImpl

          public GetSubClusterPolicyConfigurationRequestPBImpl()

    - #### GetSubClusterPolicyConfigurationRequestPBImpl

          public GetSubClusterPolicyConfigurationRequestPBImpl(org.apache.hadoop.yarn.federation.proto.YarnServerFederationProtos.GetSubClusterPolicyConfigurationRequestProto proto)

  - ### Method Detail

    - #### getProto

          public org.apache.hadoop.yarn.federation.proto.YarnServerFederationProtos.GetSubClusterPolicyConfigurationRequestProto getProto()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getQueue

          public String getQueue()

      Description copied from class: `GetSubClusterPolicyConfigurationRequest`
      Get the name of the queue for which we are requesting a policy configuration.
      Specified by:
        `getQueue` in class `GetSubClusterPolicyConfigurationRequest`
      Returns:
        the name of the queue

    - #### setQueue

          public void setQueue(String queueName)

      Description copied from class: `GetSubClusterPolicyConfigurationRequest`
      Sets the name of the queue for which we are requesting a policy configuration.
      Specified by:
        `setQueue` in class `GetSubClusterPolicyConfigurationRequest`
      Parameters:
        `queueName` - the name of the queue

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.